QGIS Application - Bug report #15433
Measure tool returns weird total value
2016-08-14 08:50 PM - Harrissou Santanna

Status: Closed

Priority: Severe/Regression
Assignee: Nyall Dawson
Category: Map Tools

Affected QGIS version:2.14.5
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 23359

Description

Summing up the length of the different segments doesn't equal the total shown in the dialog. This leads to wrong calculations and user is

unable to know which value is correct.

This occurs when you change units during drawing: some (first) measures are silently wiped out, while the total still takes them into

account.
see the screenshot.

Ltr and master

Associated revisions

Revision 03bff507 - 2016-10-05 02:53 AM - Nyall Dawson

Fix measure dialog shows wrong results when changing units

If the measurement was not finished (ie right click occurred)
then the last length would be missing from the table

Fix #15433

Revision adb6c0a4 - 2016-10-06 01:09 PM - Nyall Dawson

Fix measure dialog shows wrong results when changing units

If the measurement was not finished (ie right click occurred)
then the last length would be missing from the table

Fix #15433

(cherry-picked from 03bff507d9814ec1a3d9fdfdbe5ctbc5b6274689)

Revision £327bf55 - 2016-10-06 01:49 PM - Nyall Dawson

Fix measure dialog shows wrong results when changing units

If the measurement was not finished (ie right click occurred)

then the last length would be missing from the table
Fix #15433

(cherry-picked from 03bff507d9814ec1a3d9fdfdbe5cfbc506274689)

Revision d98d24bf - 2016-10-06 01:50 PM - Nyall Dawson

Fix measure dialog shows wrong results when changing units

If the measurement was not finished (ie right click occurred)
then the last length would be missing from the table

Fix #15433

(cherry-picked from 03bff507d9814ec1a3d9fdfdbe5cfbc506274689)

History

#1 - 2016-10-04 05:40 PM - Nyall Dawson
- Assignee set to Nyall Dawson

#2 - 2016-10-04 05:54 PM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"03bff507d9814ec1a3d9fdfdbe5cfbc5b6274689".
